org.modeshape.jcr.query.xpath

## Class XPath

- java.lang.Object
- - org.modeshape.jcr.query.xpath.XPath

-     public class XPath
      extends Object

  Abstract syntax components of an XPath query. The supported grammar is defined by JCR 1.0, and is a subset of what is allowed by the W3C XPath 2.0 specification.
  See Also:
    `XPathParser.parseXPath(String)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XPath.Add`
    `static class` | `XPath.And`
    `static class` | `XPath.AnyKindTest`
    `static class` | `XPath.AttributeNameTest`
    `static class` | `XPath.AttributeTest`
    `static class` | `XPath.AxisStep`
    `static class` | `XPath.BinaryComponent`
    `static class` | `XPath.CommentTest`
    `static class` | `XPath.Comparison`
    `static class` | `XPath.Component`
    `static class` | `XPath.ContextItem`
    `static class` | `XPath.DescendantOrSelf`
    `static class` | `XPath.DocumentTest`
    `static class` | `XPath.ElementTest`
    `static class` | `XPath.Except`
    `static class` | `XPath.FilterStep`
    `static class` | `XPath.FunctionCall`
    `static class` | `XPath.Intersect`
    `static class` | `XPath.KindTest`
    `static class` | `XPath.Literal`
    `static class` | `XPath.NameTest`
    `static class` | `XPath.Negation`
    `static class` | `XPath.NodeComparison`
    `static class` | `XPath.NodeComparisonOperator`
    `static class` | `XPath.NodeTest`
    `static class` | `XPath.Or`
    `static class` | `XPath.OrderBy`
    `static class` | `XPath.OrderBySpec`
    `static class` | `XPath.ParenthesizedExpression`
    `static class` | `XPath.PathExpression`
    `static class` | `XPath.ProcessingInstructionTest`
    `static class` | `XPath.SchemaAttributeTest`
    `static class` | `XPath.SchemaElementTest`
    `static class` | `XPath.StepExpression`
    `static class` | `XPath.Subtract`
    `static class` | `XPath.TextTest`
    `static class` | `XPath.UnaryComponent`
    `static class` | `XPath.Union`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPath()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `asString(Iterable<?> components, String delimiter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPath

          public XPath()

  - ### Method Detail

    - #### asString

          protected static String asString(Iterable<?> components,
                        String delimiter)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.